package com.four.auth.service;

import com.four.system.api.domain.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.four.common.core.constant.Constants;
import com.four.common.core.constant.SecurityConstants;
import com.four.common.core.utils.StringUtils;
import com.four.common.core.utils.ip.IpUtils;
import com.four.system.api.RemoteLogService;
import com.four.system.api.domain.SysLogininfor;

/**
 * 记录日志方法
 *
 * @author ruoyi
 */
@Component
@SuppressWarnings("all")
public class SysRecordLogService
{
    @Autowired
    private RemoteLogService remoteLogService;

    /**
     * 记录登录信息
     *
     * @param username 用户名
     * @param status 状态
     * @param message 消息内容
     * @return
     */
    public void recordLogininfor(String userName, String status, String message) {
        SysLogininfor logininfor = new SysLogininfor();
        logininfor.setUserName(userName);
        logininfor.setIpaddr(IpUtils.getIpAddr());
        logininfor.setMsg(message);
        // 日志状态
        if (StringUtils.equalsAny(status, Constants.LOGIN_SUCCESS, Constants.LOGOUT, Constants.REGISTER)) {
            logininfor.setStatus(Constants.LOGIN_SUCCESS_STATUS);
        } else if (Constants.LOGIN_FAIL.equals(status)) {
            logininfor.setStatus(Constants.LOGIN_FAIL_STATUS);
        }
        remoteLogService.saveLogininfor(logininfor, SecurityConstants.INNER);
    }

    public void recordLogininfors(String email, String status, String message) {
        SysLogininfor logininfor = new SysLogininfor();
        logininfor.setUserName(email);
        logininfor.setIpaddr(IpUtils.getIpAddr());
        logininfor.setMsg(message);
        // 日志状态
        if (StringUtils.equalsAny(status, Constants.LOGIN_SUCCESS, Constants.LOGOUT, Constants.REGISTER)) {
            logininfor.setStatus(Constants.LOGIN_SUCCESS_STATUS);
        } else if (Constants.LOGIN_FAIL.equals(status)) {
            logininfor.setStatus(Constants.LOGIN_FAIL_STATUS);
        }
        remoteLogService.saveLogininfor(logininfor, SecurityConstants.INNER);
    }

    public void recordEmailLoginFors(String email,String status,String message){
        SysLogininfor logininfor = new SysLogininfor();
        logininfor.setUserName(email);
        logininfor.setIpaddr(IpUtils.getIpAddr());
        logininfor.setMsg(message);
        if(StringUtils.equalsAny(status,Constants.LOGIN_SUCCESS , Constants.LOGOUT,Constants.REGISTER)){
            logininfor.setStatus(Constants.LOGIN_SUCCESS_STATUS);
        }else if (Constants.LOGIN_FAIL.equals(status)){
            logininfor.setStatus(Constants.LOGIN_SUCCESS_STATUS);
        }
        remoteLogService.saveLogininfor(logininfor,SecurityConstants.INNER);

    }
}
